<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActCommands.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">SmarActCommands.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SmarActCommands_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* </span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * File:   SmarActCommands.hpp</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Author: cfmadmin</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * Created on February 20, 2013, 9:38 AM</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef SMARACTCOMMANDS_HPP</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define SMARACTCOMMANDS_HPP</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="SmarActCommand_8hpp.html">SmarActCommand.hpp</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="code" href="classCommand__SA__GetPosition__S.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__GetPosition__S.html">Command_SA_GetPosition_S</a>: <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a> {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <a class="code" href="classCommand__SA__GetPosition__S.html#aae26e8bc6b42904e576bb7fd13f7432e">Command_SA_GetPosition_S</a>();</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="comment">//Command_SA_GetPosition_S(const Command_SA_GetPosition_S&amp; orig);</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__GetPosition__S.html#aa047c5fc92bb7f9878af8fa0694282f3">~Command_SA_GetPosition_S</a>();</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__GetPosition__S.html#a9de943cd258375c9831d22a568b30fd9">Send</a>(SA_INDEX systemID, SA_INDEX axisID, <span class="keywordtype">signed</span> <span class="keywordtype">int</span>* position);</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;};</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="code" href="classCommand__SA__GetStatus__S.html">   23</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__GetStatus__S.html">Command_SA_GetStatus_S</a>: <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a> {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <a class="code" href="classCommand__SA__GetStatus__S.html#a55c290fbf1e481e77b9a95c705b5cb11">Command_SA_GetStatus_S</a>();</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="comment">//Command_SA_GetStatus_S(const Command_SA_GetStatus_S&amp; orig);</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__GetStatus__S.html#a2c5fce40e2a65e16bec38e4a484ca8a8">~Command_SA_GetStatus_S</a>();</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__GetStatus__S.html#aec07e4f192814b18875fc428789ac0ac">Send</a>(SA_INDEX systemID, SA_INDEX axisID, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>* axisStatus);</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;};</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="code" href="classCommand__SA__GotoPositionAbsolute__S.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__GotoPositionAbsolute__S.html">Command_SA_GotoPositionAbsolute_S</a> : <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a>  {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classCommand__SA__GotoPositionAbsolute__S.html#a483874f02e265d956bca8a339b1181f2">Command_SA_GotoPositionAbsolute_S</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="comment">//Command_SA_GotoPositionAbsolute_S(const Command_SA_GotoPositionAbsolute_S&amp; orig);</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__GotoPositionAbsolute__S.html#ae8127aad62a9ab8d4769d22e19fb30e5">~Command_SA_GotoPositionAbsolute_S</a>();</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__GotoPositionAbsolute__S.html#a9489925fe087f958fa1890fc606c3c2a">Send</a>(SA_INDEX systemID, SA_INDEX axisID, <span class="keywordtype">signed</span> <span class="keywordtype">int</span> position, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> holdMs);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;   </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="code" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html">   45</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html">Command_SA_SetClosedLoopMaxFrequency_S</a> : <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a>{</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#a233e30a63916e52b2c2c28aac39f8455">Command_SA_SetClosedLoopMaxFrequency_S</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="comment">//Command_SA_SetClosedLoopMaxFrequency_S(const Command_SA_SetClosedLoopMaxFrequency_S&amp; orig);</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#a174a322de5049abd9b330c41573496ad">~Command_SA_SetClosedLoopMaxFrequency_S</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#acba41e0814cda6c408a0c0c58d6afb19">Send</a>(SA_INDEX systemID, SA_INDEX axisID, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> frequencyHz);<span class="comment">//valid range for SmarAct: 50-18500Hz</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;};</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="code" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html">   55</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html">Command_SA_SetClosedLoopMoveSpeed_S</a> : <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a> {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#a9617ce1d2cc87c46d93ee4976464fc19">Command_SA_SetClosedLoopMoveSpeed_S</a>();</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="comment">//Command_SA_SetClosedLoopMoveSpeed_S(const Command_SA_SetClosedLoopMoveSpeed_S&amp; orig);</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#adb952c291694546b95fcec03b56e5d8b">~Command_SA_SetClosedLoopMoveSpeed_S</a>();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#aa055752aabdc913613ca71be7fdceb6a">Send</a>(SA_INDEX systemID, SA_INDEX axisID, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> speedNmPerSecond);<span class="comment">//valid range for SmarAct: 0-100000000. Value 0 disables limit.</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;};</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="code" href="classCommand__SA__Stop__S.html">   65</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommand__SA__Stop__S.html">Command_SA_Stop_S</a> : <span class="keyword">public</span> <a class="code" href="classSmarActCommand.html">SmarActCommand</a> {</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <a class="code" href="classCommand__SA__Stop__S.html#a41ab0ae104cf2e29a22c3d05f63c419a">Command_SA_Stop_S</a>();</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="comment">//Command_SA_Stop_S(const Command_SA_Stop_S&amp; orig);</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCommand__SA__Stop__S.html#a98ca285b95d15789e402ec82e50e3805">~Command_SA_Stop_S</a>();</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classCommand__SA__Stop__S.html#a3ebc2495afa3abdc6665c150e5957139">Send</a>(SA_INDEX systemID, SA_INDEX axisID);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;};</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif  </span><span class="comment">/* SMARACTCOMMANDS_HPP */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
